E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GSmtp::StoredFile Class Reference

A concete derived class implementing the StoredMessage interface. More...

`#include <gstoredfile.h>`

Inheritance diagram for GSmtp::StoredFile:

## Public Member Functions
| StoredFile (FileStore &store, const G::Path &envelope_path)
| Constructor.
virtual | ~StoredFile ()
| Destructor. More...
bool | lock ()
| Locks the file by renaming the envelope file. More...
bool | readEnvelope (std::string &reason, bool check_for_no_remote_recipients)
| Reads the envelope. More...
bool | openContent (std::string &reason)
| Opens the content file. More...
virtual std::string | name () const override
| Override from GSmtp::StoredMessage.
virtual std::string | location () const override
| Override from GSmtp::StoredMessage.
virtual bool | eightBit () const override
| Override from GSmtp::StoredMessage.
virtual const std::string & | from () const override
| Override from GSmtp::StoredMessage.
virtual const G::StringArray & | to () const override
| Override from GSmtp::StoredMessage.
virtual std::string | authentication () const override
| Override from GSmtp::StoredMessage.
virtual std::string | fromAuthIn () const override
| Override from GSmtp::StoredMessage.
virtual std::string | fromAuthOut () const override
| Override from GSmtp::StoredMessage.
virtual void | destroy () override
| Override from GSmtp::StoredMessage.
virtual void | fail (const std::string &reason, int reason_code) override
| Override from GSmtp::StoredMessage.
virtual void | unfail () override
| Override from GSmtp::StoredMessage.
virtual unique_ptr< std::istream > | extractContentStream () override
| Override from GSmtp::StoredMessage.
virtual size_t | remoteRecipientCount () const override
| Override from GSmtp::StoredMessage.
virtual size_t | errorCount () const override
| Override from GSmtp::StoredMessage.
virtual void | sync (bool) override
| Override from GSmtp::StoredMessage.
Public Member Functions inherited from GSmtp::StoredMessage
virtual | ~StoredMessage ()
| Destructor.

## Detailed Description

A concete derived class implementing the StoredMessage interface.

Definition at line 43 of file gstoredfile.h.

## Constructor & Destructor Documentation

GSmtp::StoredFile::~StoredFile | ( |  | ) |
| virtual

Destructor.

Unlocks the file if it has been lock()ed but not destroy()ed or fail()ed.

Definition at line 46 of file gstoredfile.cpp.

## Member Function Documentation

bool GSmtp::StoredFile::lock | ( |  | ) |

Locks the file by renaming the envelope file.

Used by FileStore and FileIterator.

Definition at line 302 of file gstoredfile.cpp.

bool GSmtp::StoredFile::openContent | ( | std::string & | reason | ) |

Opens the content file.

Returns false on error. Used by FileStore and FileIterator.

Definition at line 223 of file gstoredfile.cpp.

bool GSmtp::StoredFile::readEnvelope | ( | std::string & | reason,
|  | bool | check_for_no_remote_recipients
| ) |  |

Reads the envelope.

Returns false on error. Used by FileStore and FileIterator.

Definition at line 81 of file gstoredfile.cpp.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gsmtp/gstoredfile.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gsmtp/gstoredfile.cpp